@import url('https://fonts.googleapis.com/css2?family=Inria+Serif:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700&family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

html {
    scroll-behavior: smooth;
    overflow-x: hidden;
}

/* ================= ROOT VARIABLES ================= */
:root {
    --gold: #F5D076;
    --dark: #0b0b0b;
    --cream: #f6f1e7;
    --text-dark: #222;
}

/* ================= TYPOGRAPHY ================= */
.heading_xl {
    font-size: 2.5rem;
    font-weight: 700;
    line-height: normal;
}

.heading_lg {
    font-size: 2.2rem;
    font-weight: 600;
}

.heading_sm {
    font-size: 1.2rem;
    font-weight: 600;
}

.body_lg {
    font-size: 1rem;
    font-family: "Inter", sans-serif;
}

.body-sm {
    font-size: 0.95rem;
    color: #555;
}

.body-xs {
    font-size: 0.8rem;
}

.Inria_fnt {
    font-family: "Inria Serif", serif;
}

/* ================= COLORS ================= */
.text-gold {
    color: var(--gold);
}

.bg-cream {
    background-color: var(--cream);
}


body {
    font-family: "Inter", sans-serif;
    overflow-x: hidden;
}


/* button */

.btn-main {
    background: linear-gradient(180deg, #e7c05f, #c89a2b);
    color: #000;
    padding: 10px 28px;
    border-radius: 8px;
    font-weight: 500;
    border: none;
    box-shadow: 0 8px 20px rgba(212, 166, 60, 0.4);
    transition: 0.3s ease;
}

.btn-main:hover {
    transform: translateY(-3px);
    box-shadow: 0 12px 25px rgba(212, 166, 60, 0.6);
    color: #000;
}

@media (max-width: 768px) {
    .heading_xl {
        font-size: 2.1rem;
    }
}